Debian Bug report logs - #693211
coreutils: file conflict with realpath

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 14 Nov 2012 09:51:01 UTC

Severity: serious

Merged with 693488

Found in version coreutils/8.20-1

Fixed in version coreutils/8.20-2

Done: Michael Stone <mstone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#693211; Package coreutils. (Wed, 14 Nov 2012 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Stone <mstone@debian.org>. (Wed, 14 Nov 2012 09:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: coreutils: file conflict with realpath
Date: Wed, 14 Nov 2012 10:47:49 +0100
Package: coreutils
Version: 8.20-1
Severity: serious

Preparing to replace coreutils 8.13-3.3 (using .../coreutils_8.20-1_amd64.deb) ...
Unpacking replacement coreutils ...
dpkg: error processing /var/cache/apt/archives/coreutils_8.20-1_amd64.deb
(--unpack):
 trying to overwrite '/usr/share/man/man1/realpath.1.gz', which is also in
package realpath 1.17
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)



Bug reassigned from package 'coreutils' to 'coreutils,realpath'. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 15 Nov 2012 02:09:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions coreutils/8.20-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 15 Nov 2012 02:09:10 GMT) Full text and rfc822 format available.

Marked as found in versions coreutils/8.20-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 15 Nov 2012 02:12:03 GMT) Full text and rfc822 format available.

Marked as found in versions realpath/1.17. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 15 Nov 2012 02:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>, Robert Luberda <robert@debian.org>:
Bug#693211; Package coreutils,realpath. (Thu, 15 Nov 2012 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>, Robert Luberda <robert@debian.org>. (Thu, 15 Nov 2012 02:24:03 GMT) Full text and rfc822 format available.

Message #18 received at 693211@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 693211@bugs.debian.org
Subject: Re: coreutils: file conflict with realpath
Date: Thu, 15 Nov 2012 03:12:28 +0100
Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/bin/realpath
  /usr/share/man/man1/realpath.1.gz

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.




Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#693211; Package coreutils,realpath. (Thu, 15 Nov 2012 02:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Thu, 15 Nov 2012 02:51:06 GMT) Full text and rfc822 format available.

Message #23 received at 693211@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: 693211@bugs.debian.org
Subject: Re: Bug#693211: coreutils: file conflict with realpath
Date: Wed, 14 Nov 2012 21:45:29 -0500
It's not my intention to interfere with the realpath package at this 
point, and it will not be in the next coreutils upload.

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>, Robert Luberda <robert@debian.org>:
Bug#693211; Package coreutils,realpath. (Sat, 17 Nov 2012 00:45:07 GMT) Full text and rfc822 format available.

Message #26 received at 693211@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Ralf Treinen <treinen@free.fr>, 693211@bugs.debian.org
Subject: Re: Bug#693211: coreutils: file conflict with realpath
Date: Fri, 16 Nov 2012 17:43:12 -0700
[Message part 1 (text/plain, inline)]
forcemerge 693488 693211
thanks

Ralf Treinen wrote:
> Here is a list of files that are known to be shared by both packages
> (according to the Contents file for sid/amd64, which may be
> slightly out of sync):
> 
>   /usr/bin/realpath
>   /usr/share/man/man1/realpath.1.gz

Thank you for the report.  This was already reported in Bug#693488 and
therefore I am merging the reports.  The coreutils maintainer has
already responded there saying that the next upload will address this
problem.  I am sure the problem will be fixed soon.

Thanks,
Bob
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>, Robert Luberda <robert@debian.org>:
Bug#693211; Package coreutils,realpath. (Sat, 17 Nov 2012 00:51:03 GMT) Full text and rfc822 format available.

Message #29 received at 693211@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Ralf Treinen <treinen@free.fr>, 693211@bugs.debian.org
Subject: Re: Bug#693211: coreutils: file conflict with realpath
Date: Fri, 16 Nov 2012 17:49:02 -0700
[Message part 1 (text/plain, inline)]
Bob Proulx wrote:
> Ralf Treinen wrote:
> >   /usr/bin/realpath
> >   /usr/share/man/man1/realpath.1.gz
> 
> Thank you for the report.  This was already reported in Bug#693488 and
> therefore I am merging the reports.

Oops.  While crosschecking the reports I reversed them and responded
to the opposite one.  Obviously my message should have gone to
Bug#693337 and not Bug#693211 and I will correct that now but
regardless the result is the same.  Sorry or the noise.

Bob
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'coreutils,realpath' to 'coreutils'. Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sat, 17 Nov 2012 01:09:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions coreutils/8.20-1 and realpath/1.17. Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sat, 17 Nov 2012 01:09:07 GMT) Full text and rfc822 format available.

Added indication that 693211 affects realpath Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sat, 17 Nov 2012 01:09:07 GMT) Full text and rfc822 format available.

Marked as found in versions coreutils/8.20-1. Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sat, 17 Nov 2012 01:09:08 GMT) Full text and rfc822 format available.

Merged 693211 693488 Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sat, 17 Nov 2012 01:09:09 GMT) Full text and rfc822 format available.

Added indication that 693211 affects bootcd Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sat, 17 Nov 2012 01:15:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Stone <mstone@debian.org>:
You have taken responsibility. (Sun, 18 Nov 2012 15:03:19 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 18 Nov 2012 15:03:19 GMT) Full text and rfc822 format available.

Message #46 received at 693211-close@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: 693211-close@bugs.debian.org
Subject: Bug#693211: fixed in coreutils 8.20-2
Date: Sun, 18 Nov 2012 15:02:37 +0000
Source: coreutils
Source-Version: 8.20-2

We believe that the bug you reported is fixed in the latest version of
coreutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693211@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Stone <mstone@debian.org> (supplier of updated coreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Nov 2012 09:26:57 -0500
Source: coreutils
Binary: coreutils mktemp
Architecture: source all amd64
Version: 8.20-2
Distribution: unstable
Urgency: low
Maintainer: Michael Stone <mstone@debian.org>
Changed-By: Michael Stone <mstone@debian.org>
Description: 
 coreutils  - GNU core utilities
 mktemp     - coreutils mktemp transitional package
Closes: 692748 693211 693337 693578
Changes: 
 coreutils (8.20-2) unstable; urgency=low
 .
   * Add upstream patch to fix build failure on hppa (Closes: #693578)
   * Disable df test which seems to fail on some buildds
   * Get rid of realpath (provided by other package) (Closes: #693211)
   * Add autopkgtest. Thanks Martin Pitt. (Closes: #692748)
   * Fix HAVE_LONG_LONG typo in factor. Thanks Daniel Schepler
     (Closes: #693337)
Checksums-Sha1: 
 71008a3088339908ef0a785d0c50e3dd3ab847e7 1854 coreutils_8.20-2.dsc
 fb442520e7983e54b11f6a2c3505d28345beea7d 23728 coreutils_8.20-2.diff.gz
 43b3e1b53de0c5d58897949e8055f8fcba4f95ed 16432 mktemp_8.20-2_all.deb
 971e583332841d6d22a11288145d034b9e0294d9 5774524 coreutils_8.20-2_amd64.deb
Checksums-Sha256: 
 2897dffa5ec303fd569a58fbdc6d85fc7d02f00fb8889f24a0579321559942ae 1854 coreutils_8.20-2.dsc
 4514f190b6ac3299ead69ba7d5277e06de899f82092cfb5896aee8aa0774d3f4 23728 coreutils_8.20-2.diff.gz
 cddcbe95396672c02006f3f1aaf87803c04b7de6c32337c7ca694559e2d9268a 16432 mktemp_8.20-2_all.deb
 f096dca31ee604774cf003253e2ae2056ae29f880672facaf99fd17f999bee8e 5774524 coreutils_8.20-2_amd64.deb
Files: 
 7dd875a8258d3ed8b86b57e099484c8b 1854 utils required coreutils_8.20-2.dsc
 c3c6a022c08046e3b65d0583d026eaac 23728 utils required coreutils_8.20-2.diff.gz
 3b4f0fb26d0cca2cb68702aaaa37a002 16432 oldlibs extra mktemp_8.20-2_all.deb
 742a6b2bd2ad4ce7c63198a1272da783 5774524 utils required coreutils_8.20-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUKj0IfYarNz6Ef/eAQg5qg//c9By0Ay45zWrjaimU3vrSYr6vKTkGP6/
//wYNPXLgIKV6Q6mxi9aeCjBtNOMpirjXsK7dc5nl8ua/H8gNSt5WsX6Ojj1UZg/
F4pLaZ1zNZcNFMpvMOMyDvq/TMccjHJqNM5P3+xxYjNWKskKJNlJefW+q4eXRiNN
3Ox14uIWYS5/Ekq/ZAf8mRi8+xjqSTZWnwmUoNzGU8x7+KuZXTxEvK5ku4ysGVme
hUZFeJymlarxTtG0baSzLuuwSnSwNmZQwFup0AdetPnmjrNlnM/ZxmXSEYFb3/MG
vmn7+B4N4iEIFJCt/kuGKSa0FxA4+rBHsDy4N8eCb0zh+Vjua5G1Yl83npd00AF1
0TwO6zcncDzY/k+rSq4x1hh3gsfQFfla72Oxy3VSrjFEFcHMdhwQFeGufnvOJ6Gt
Fd6FqGNZ5H7k5E7ofDhZKYSsbUKOuFstAzy7+kvyOqHdTsPSSOMIMgVlVoF7iJYg
QgdbYBsNrgfSiNS1wf4+ct6hdeOJ361JEUTq9YC1BqAIBeJDvDhDSlpsNnyPRxK9
IWQ5BfAJ89Q13v/v29zYiWQaWElkJjRUUAwNtqWCGtaEz86MH3apZvBUdN+iecTa
2XBuiGo2SzhrKNGdXulwwiYM3feLMbTuaraHezjmUMC5A0vD3Z1SjulgKdtlOrQj
OVe6qR7muBA=
=FeC2
-----END PGP SIGNATURE-----




Reply sent to Michael Stone <mstone@debian.org>:
You have taken responsibility. (Sun, 18 Nov 2012 15:03:20 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 18 Nov 2012 15:03:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2012 07:25:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:43:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.